Podręcznik PHP
Poprzedni |  | Następny

# yp_match

(PHP 3 >= 3.0.7, PHP 4, PHP 5 <= 5.0.4)

yp_match -- Returns the matched line

## Opis

string yp_match ( string domain, string map, string key )

Returns the value associated with the passed `key` out of the specified `map`.

## Parametry

`domain`

  The NIS domain name.

`map`

  The NIS map.

`key`

  This key must be exact.

## Zwracane wartości

Returns the value, or `FALSE` on errors.

## Przykłady

Przykład 1. Example for NIS match

`<?php $entry = yp_match($domain, "passwd.byname", "joe"); echo "Matched entry is: " . $entry; ?>`

Powyższy przykład wyświetli coś podobnego do:

    joe:##joe:11111:100:Joe User:/home/j/joe:/usr/local/bin/bash

## Patrz także

yp_get_default_domain()

Poprzedni | Spis treści | Następny
yp_master | Początek rozdziału | yp_next